use curve25519_dalek::Scalar;
use ed25519_dalek::VerifyingKey;
use lox_library::bridge_table::BridgeLine;

/// Information that needs to be known to verify a Troll Patrol report
pub struct BridgeInfo {
    /// BridgeLine for this bridge
    pub bridge_line: BridgeLine,

    /// Bucket for this bridge if this bridge is a Lox bridge
    pub bucket: Option<Scalar>,

    /// Key used to verify bridge tokens
    pub pubkey: Option<VerifyingKey>,
}

impl BridgeInfo {
    pub fn new(bl: BridgeLine) -> Self {
        BridgeInfo {
            bridge_line: bl,
            bucket: None,
            pubkey: None,
        }
    }
}
